#include "pch.h"
#include "MainMenuLevel.h"

#include "colors.h"
#include "utils.h"
MainMenuLevel::MainMenuLevel(Camera* camera): Level(camera) {
	m_TextMotherload = new Text("Motherload", "fonts/verdana.ttf", 20, Colors::WHITE);
	m_TextNewGame = new Text("New Game", "fonts/verdana.ttf", 20, Colors::WHITE);
	m_TextExit = new Text("Exit", "fonts/verdana.ttf", 20, Colors::WHITE);
}
MainMenuLevel::~MainMenuLevel() {
	delete m_TextMotherload;
	delete m_TextNewGame;
	delete m_TextExit;
}
void MainMenuLevel::Update(float elapsedSec) {
}
void MainMenuLevel::Draw() const {
	m_TextMotherload->Draw(Vector2f(200, 100));
	m_TextNewGame->Draw(Vector2f(200, 200));
	m_TextExit->Draw(Vector2f(200, 300));

}
void MainMenuLevel::MouseMove(const Vector2f& mousePos) {
}
void MainMenuLevel::ProcessImGui() {
}
